Subject: bug#6107: Delete key in the trunk invokes 'backspace' command

From: Paul Pogonyshev <[email-masked]>
Date: Fri, 7 May 2010 18:06:12 +0300

close 6107
thanks

I wrote:
> Stefan Monnier wrote:
> > > After recompiling Emacs from trunk, <delete> key now invokes backspace
> > > (not in terminal, using a GTK+/X Emacs).  This breaks compatibility
> > > with everything imaginable, including previous Emacs versions.
> > 
> > I recently redefined the main function related to this, using
> > define-minor-mode.  But it relies on changes in macros in cl-macs and
> > easy-mmode, so you may need to recompile those files in the right order
> > to get the right result.  I.e. please recompile lisp/simple.el (and
> > re-dump) after compiling all other files.  Or just try bootstrapping.
> 
> I tried several times (after bzr pulls), but I get this error: [...]

Now seems to work.  The bug was apparently because I didn't delete
.elc files.

Paul